Subject: RE: Git 2.54.0-rc1, subtests of t5310, t5326, t5327

From: <[email-masked]>
Date: Wed, 8 Apr 2026 17:27:34 -0400

On April 8, 2026 4:22 PM, Junio C Hamano wrote:
><[email-masked]> writes:
>
>> On my box, I have the following note:
>>
>> Specifying  the sum of the iov_len values in the iov array greater
>> than the OSS I/O size limit for that open causes the  writev()
>> function  to return  -1  and  set errno to [EINVAL].
>
>That is unexpected.
>
>writev() may fail if the sum of iov_len would not fit within ssize_t with
EINVAL, but
>unless your "the OSS I/O size limit" is the same as SSIZE_MAX, what you
have above
>is not quite the same.
>
>Does your build work with NO_WRITEV=Nope?  I think I saw it asked a few
times
>but I do not recall seeing it answered.  At least we know
>xwrite() seems to work well enough on your system, which is what the
>writev() emulation is written in terms of, so I suspect it would.

Yes, NO_WRITEV=Nope does compile and execute. I am including it
in our CI/CD job for now. Can we plan on a fix for this?